- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# sbuild::error_base Member List

This is the complete list of members for sbuild::error_base, including all inherited members.

error_base(std::string const &error) | sbuild::error_base | `[inline, protected]`
error_base(std::string const &error, std::string const &reason) | sbuild::error_base | `[inline, protected]`
get_reason() const | sbuild::error_base | `[inline]`
reason | sbuild::error_base | `[private]`
set_reason(std::string const &reason) | sbuild::error_base | `[inline]`
why() const | sbuild::error_base | `[inline, virtual]`
~error_base() | sbuild::error_base | `[inline, virtual]`